import './assets/scss/main.scss'

import {createApp} from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import '../public/static/iconfont/iconfont.css'
import {createPinia} from 'pinia'

import App from './App.vue'
import router from './router'
import {initRequest} from "@/utils/request.ts";
import zhCn from "element-plus/es/locale/lang/zh-cn";

const app = createApp(App)

app.use(createPinia())

app.use(ElementPlus, {
    locale: zhCn,
})
app.use(router)

initRequest(router).then(() => {
    app.mount('#app')
})


